FROM openshift/golang-builder@sha256:2c34135dc4d4a35fa19775e4e559e2e6f2e476a0ccdc993360e3663729904035 AS builder
ENV __doozer=update BUILD_RELEASE=202202152218.p0.gef8ad45.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202202152218.p0.gef8ad45.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ef8ad45 OS_GIT_VERSION=4.8.0-202202152218.p0.gef8ad45.assembly.stream-ef8ad45 SOURCE_DATE_EPOCH=1634761212 SOURCE_GIT_COMMIT=ef8ad4565ab5c8820c126df1a2a7adaeaaca604b SOURCE_GIT_TAG=v0.0.0-157-gef8ad45 SOURCE_GIT_URL=https://github.com/openshift/vertical-pod-autoscaler-operator 
WORKDIR /go/src/github.com/openshift/vertical-pod-autoscaler-operator
COPY . .
ENV NO_DOCKER=1
ENV BUILD_DEST=/go/bin/vertical-pod-autoscaler-operator
RUN unset VERSION && make build

FROM openshift/ose-base:v4.8.0.20220215.234309
ENV __doozer=update BUILD_RELEASE=202202152218.p0.gef8ad45.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202202152218.p0.gef8ad45.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=ef8ad45 OS_GIT_VERSION=4.8.0-202202152218.p0.gef8ad45.assembly.stream-ef8ad45 SOURCE_DATE_EPOCH=1634761212 SOURCE_GIT_COMMIT=ef8ad4565ab5c8820c126df1a2a7adaeaaca604b SOURCE_GIT_TAG=v0.0.0-157-gef8ad45 SOURCE_GIT_URL=https://github.com/openshift/vertical-pod-autoscaler-operator 
COPY --from=builder /go/bin/vertical-pod-autoscaler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/vertical-pod-autoscaler-operator/install /manifests
CMD ["/usr/bin/vertical-pod-autoscaler-operator"]
#LABEL io.openshift.release.operator true

LABEL \
        name="openshift/ose-vertical-pod-autoscaler-rhel8-operator" \
        com.redhat.component="ose-vertical-pod-autoscaler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202202152218.p0.gef8ad45.assembly.stream" \
        io.openshift.build.commit.id="ef8ad4565ab5c8820c126df1a2a7adaeaaca604b" \
        io.openshift.build.source-location="https://github.com/openshift/vertical-pod-autoscaler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/vertical-pod-autoscaler-operator/commit/ef8ad4565ab5c8820c126df1a2a7adaeaaca604b" \
        version="v4.8.0"

